Subject: bug#30093: Installing python-ipython breaks Gnome on Fedora.

From: Chris Marusich <[email-masked]>
Date: Sat, 13 Jan 2018 16:36:12 -0800

Fis Trivial <[email-masked]> writes:

> I tried to find out which environment variable is responsible for breaking
> the gnome shell by disabling them in ~/.guix-profile/etc/profile one at a time.
>
> It turns out to be the *GI_TYPELIB_PATH*. After commenting it out in the profile
> file my system works as usual.
>
> But then, this variable is not exported by installing ipython(otherwise it will
> let me know in the prompt after installation right?), so my guess would be
> installing ipython brings in typelib of Gtk, then gnome used the wrong .typelib
> file and crashed.

This sounds similar to the following bug:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=26202

It has been known for a while that certain environment variables might
cause problems like this if they are not configured "correctly" on a
foreign distribution.  What is "correct" depends on the distro, it
seems.

For more discussion about this kind of issue in general, you might be
interested in the following threads:

https://lists.gnu.org/archive/html/help-guix/2017-11/msg00031.html
https://lists.gnu.org/archive/html/help-guix/2017-05/msg00161.html

By the way, I found those threads by searching for the bug number 26202
on the email list archives:

https://lists.gnu.org/archive/cgi-bin/namazu.cgi?query=26202&submit=Search%21&idxname=help-guix&max=20&result=normal&sort=score

The examples above were specific to Ubuntu and Trisquel (an Ubuntu
derivative), I think.  Perhaps you have discovered a new example of this
kind of problem on Fedora.  I wonder what Fedora is doing with
GI_TYPELIB_PATH that causes this problem to occur for you?

-- 
Chris